Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class ClassConstantPool

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassConstantPool

public class ClassConstantPool extends Object
The Class constant pool

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected HashSet<ClassFileEntry>`
  `entriesContainsSet`
  `protected Map<ClassFileEntry,Integer>`
  `indexCache`
  `protected HashSet<ClassFileEntry>`
  `othersContainsSet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassConstantPool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClassFileEntry`
  `add(ClassFileEntry entry)`
  `void`
  `addNestedEntries()`
  `ClassFileEntry`
  `addWithNestedEntries(ClassFileEntry entry)`
  `List<ClassFileEntry>`
  `entries()`
  `ClassFileEntry`
  `get(int i)`
  `int`
  `indexOf(ClassFileEntry entry)`
  `void`
  `resolve(Segment segment)`
  `int`
  `size()`
  `protected void`
  `sortClassPool()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### entriesContainsSet

    protected HashSet<ClassFileEntry> entriesContainsSet

  - ### othersContainsSet

    protected HashSet<ClassFileEntry> othersContainsSet

  - ### indexCache

    protected Map<ClassFileEntry,Integer> indexCache

- ## Constructor Details

  - ### ClassConstantPool

    public ClassConstantPool()

- ## Method Details

  - ### add

    public ClassFileEntry add(ClassFileEntry entry)

  - ### addNestedEntries

    public void addNestedEntries()

  - ### addWithNestedEntries

    public ClassFileEntry addWithNestedEntries(ClassFileEntry entry)

  - ### entries

    public List<ClassFileEntry> entries()

  - ### get

    public ClassFileEntry get(int i)

  - ### indexOf

    public int indexOf(ClassFileEntry entry)

  - ### resolve

    public void resolve(Segment segment)

  - ### size

    public int size()

  - ### sortClassPool

    protected void sortClassPool()